using System;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;
using System.Data;
using Akadia.MyServer;

namespace Akadia.MyClient
{
	class ShowDataSet
	{
		// Remoting client
		// You must add a reference to MyServer, and to System.Runtime.Remoting
		[STAThread]
		static void Main(string[] args)
		{
			// Register a channel
			HttpChannel ch = new HttpChannel(8088);
			ChannelServices.RegisterChannel(ch);

			try
			{
				// Get a proxy to the server object
				RemoteServer dss =(RemoteServer)Activator.GetObject(typeof(RemoteServer),
					"http://focus:8086/MyServer/RemoteServer.soap");

				// Call the method on the proxy
				DataSet ds = dss.GetDataSet();

				// Write out the results
				PrintDataTable(ds.Tables[0]);
			}
			catch(Exception ex)
			{
				Console.WriteLine(ex.ToString());
			}
			Console.WriteLine("\r\nPress enter to exit");
			Console.ReadLine();
		}

		// Writes out the passed DataTable
		public static void PrintDataTable(DataTable dt)
		{
			foreach(DataRow dr in dt.Rows)
			{
				// Step through each column in the row and write it out
				foreach(DataColumn dc in dt.Columns)
				{
					if(dc.Ordinal > 0)
						Console.Write(", ");
					if(dr.RowState == DataRowState.Deleted)
					{
						// For Deleted rows, need to access the original value
						Console.Write(dr[dc,DataRowVersion.Original].ToString().Trim());
					}
					else
					{
						// Otherwise, just write out the regular version
						Console.Write(dr[dc].ToString().Trim());
					}
				}
				Console.WriteLine("");
			}
		}
	}
}


