using System;
using System.Runtime.Remoting;
using System.IO;
using System.Reflection;

namespace Akadia.TestApp
{
	// Set up a fully functional server listening for requests.
	// It is important that the TestApp has a reference to the
	// assembly containing the server code (MyServer). The Server
	// can be tested with thw following URL from any Web-Browser
	// http://<ServerHost>:8086/MyServer/RemoteServer.soap?WSDL
	class TestApp
	{
		static void Main(string[] args)
		{		
			// Get the Application Directory
			string strAppDir = Path.GetDirectoryName(
				Assembly.GetExecutingAssembly().GetModules()[0].FullyQualifiedName);
		
			// Use the Configuration File to configure and start the Server
			string strConfigFile = strAppDir + "\\TestApp.exe.Config";
			RemotingConfiguration.Configure(strConfigFile);

			// Console.WriteLine(strConfigFile);

			// Keep the Server alive to respond to requests
			Console.WriteLine("Server running and waiting for requests ...");
			Console.WriteLine("Press [ENTER] to shut down Server");
			Console.ReadLine();
		}
	}
}